%global short_name lsp-black

%global _description %{expand:
lsp-black is a python-lsp-server plugin that adds support to black
autoformatter. This is forked from pyls-black to be compatible wth
community maintained language-server (python-lsp-server).
}

Name:           python-%{short_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        A python-lsp-server plugin that adds support to black autoformatter

License:        MIT
URL:            https://github.com/python-lsp/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:        LICENSE

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

#for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)

%description
%_description

%package -n     python3-%{short_name}
Summary:        %{summary}

%description -n python3-%{short_name}
%_description


%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files pylsp_black

mkdir -p %{buildroot}%{_datadir}/licenses/python3-%{short_name}/license
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/licenses/python3-%{short_name}

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Mon Jul 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-1
- Initial package.
